<%@ page language="java" contentType="text/html; charset=utf-8" %>
<%@taglib uri="/WEB-INF/taglib.tld" prefix="x" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<html>
<head>
    <x:base include="layout,dialog,grid,tree,dateTime,combox,attachment,commonTree,comboDialog"/>
    <x:script src='/biz/topsun/ep/change/epChangeFormDetail.js'/>
</head>
<body>
<div class="container-fluid">
    <x:billTitle title="宝绅内部变更申请/通知单" needStatus="false" needPerson="true"/>
    <form class="hg-form" method="post" action="" id="submitForm">
    <x:hidden name="id"/>
    <x:hidden name="billCode"/>
    <x:hidden name="fillinDate" type="datetime"/>
    <x:hidden name="fullId"/>
    <x:hidden name="organId"/>
    <x:hidden name="organName"/>
    <x:hidden name="deptId"/>
    <x:hidden name="deptName"/>
    <x:hidden name="positionId"/>
    <x:hidden name="positionName"/>
    <x:hidden name="personMemberId"/>
    <x:hidden name="personMemberName"/>
    <x:hidden name="statusId"/>
    <div class="hg-form-cols">
        <div class="hg-form-row">
            <x:inputC name="changeNo" required="true" label="变更序号" labelCol="2" maxLength="64" fieldCol="2" />
            <x:inputC name="brandName" required="true" label="品牌名称" labelCol="2" fieldCol="2" wrapper="select"/>
            <x:hidden name="brandCode"/>
            <x:hidden name="changePersonId"/>
            <x:inputC name="changePerson" required="false" label="变更申请部门/姓名" labelCol="2" fieldCol="2" wrapper="select"/>
        </div>
        <div class="hg-form-row">
            <x:checkboxListC name="reasonForChange" list="reasonForChangeList" required="true" label="变更类型" labelCol="2" fieldCol="6"/>
            <x:inputC name="otherReasonDesc" required="false" label="其他原因描述" labelCol="2" fieldCol="2"/>
        </div>
        <div class="hg-form-row">
            <x:textareaC name="changeMatter" required="false" label="变更事项" rows="3" labelCol="2" fieldCol="10"/>
        </div>
        <div class="hg-form-row">
            <x:textareaC name="reasonDesc" required="false" label="变更原因" rows="3" labelCol="2" fieldCol="10"/>
        </div>
        <div class="hg-form-row">
            <x:checkboxListC name="changeEffective" dictionary="changeEffective" required="true" label="生效日期" labelCol="2" fieldCol="6"/>
            <x:inputC name="effectiveDate" required="false" label="生效日期" labelCol="2" fieldCol="2" wrapper="datetime"/>
        </div>
        <x:title title="CURRENT SPEC 目前产品信息" name="group"/>
        <div class="hg-form-row">
            <x:inputC name="pd" required="true" label="产品代号" labelCol="2" maxLength="64" fieldCol="10" wrapper="select"/>
        </div>
        <div class="hg-form-row">
            <x:inputC name="productName" required="true" label="产品名称" labelCol="2" fieldCol="10" />
        </div>
        <div class="hg-form-row">
            <x:inputC name="process" required="true" label="制程工艺" labelCol="2" fieldCol="10" />
            <x:hidden name="productionSolutionId"/>
        </div>

        <div class="hg-form-row">
            <x:textareaC name="material" required="true" label="原材料" labelCol="2" fieldCol="10" rows="3" />
        </div>
<%--        <div class="hg-form-row">--%>
<%--            <x:inputC name="otherProcess" required="false" label="涉及成品编码" labelCol="2" fieldCol="10"/>--%>
<%--        </div>--%>
<%--        <div class="hg-form-row">--%>
<%--            <x:textareaC name="oldMaterial" required="false" label="旧原材料库存" labelCol="2" fieldCol="10" rows="3"/>--%>
<%--        </div>--%>
<%--        <div class="hg-form-row">--%>
<%--            <x:inputC name="othersMaterialStore" required="false" label="涉及原材料成品库存" labelCol="2" fieldCol="10"/>--%>
<%--        </div>--%>
        <div class="hg-form-row">
            <x:inputC name="others" required="false" label="其他" labelCol="2" fieldCol="10"/>
        </div>
        <x:title title="REVISED SPEC 变更后产品信息" name="group"/>
        <div class="hg-form-row">
            <x:inputC name="changedPd" required="true" label="产品代号" labelCol="2" maxLength="64" fieldCol="10"/>
        </div>
        <div class="hg-form-row">
            <x:inputC name="changedProductName" required="true" label="产品名称" labelCol="2" fieldCol="10"/>
        </div>
        <div class="hg-form-row">
            <x:inputC name="changedProcess" required="true" label="制程工艺" labelCol="2" fieldCol="10"/>
        </div>
        <div class="hg-form-row">
            <x:textareaC name="changedMaterial" required="true" label="原材料" labelCol="2" fieldCol="10" rows="3"/>
        </div>
        <div class="hg-form-row">
            <x:inputC name="changedOthers" required="false" label="其他" labelCol="2" fieldCol="10"/>
        </div>
    </div>
        <div style="padding-top: 15px;">
            <x:fileList bizCode="change" bizId="id" id="changeList" title="附件" />
        </div>
        <div class="blank_div clearfix"></div>
        <x:title title="Implementation 执行人（版具/模具等）" name="group"/>
        <div id="maingrid" style="margin: 2px;"></div>

        <div class="blank_div clearfix"></div>
        <x:title title="Stock / Inventory 库存" name="group"/>
        <div id="stockMainGrid" style="margin: 2px;"></div>
</form>
</div>
</body>
</html>
